#
# $Id: doxywizard.t,v 1.1 2000/04/23 15:50:28 root Exp $
#
# Copyright (C) 2000 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby
# granted. No representations are made about the suitability of this software
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#############################################################################
# Makefile for building ../../bin/doxywizard
# Generated by tmake at 14:10, 2000/08/13
#     Project: doxywizard
#    Template: doxywizard.t
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -O2 -DNO_DEBUG
CXXFLAGS=	-pipe -DDOXYWIZARD -Wall -W -O2 -DNO_DEBUG
INCPATH	=	-I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	-L$(QTDIR)/lib -lqt -L/usr/X11R6/lib -lXext -lX11 -lm
MOC	=	moc

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	doxywizard.h \
		config.h \
		version.h \
		pagewidget.h \
		inputstring.h \
		inputbool.h \
		inputstrlist.h \
		inputint.h \
		pixmaps.h
SOURCES =	doxywizard.cpp \
		config.cpp \
		version.cpp \
		pagewidget.cpp \
		inputstring.cpp \
		inputbool.cpp \
		inputstrlist.cpp \
		inputint.cpp \
		pixmaps.cpp
OBJECTS =	obj/doxywizard.o \
		obj/config.o \
		obj/version.o \
		obj/pagewidget.o \
		obj/inputstring.o \
		obj/inputbool.o \
		obj/inputstrlist.o \
		obj/inputint.o \
		obj/pixmaps.o
SRCMOC	=	moc/moc_doxywizard.cpp \
		moc/moc_pagewidget.cpp \
		moc/moc_inputstring.cpp \
		moc/moc_inputbool.cpp \
		moc/moc_inputstrlist.cpp \
		moc/moc_inputint.cpp
OBJMOC	=	obj/moc_doxywizard.o \
		obj/moc_pagewidget.o \
		obj/moc_inputstring.o \
		obj/moc_inputbool.o \
		obj/moc_inputstrlist.o \
		obj/moc_inputint.o
DIST	=	
TARGET	=	../../bin/doxywizard

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake:
	tmake doxywizard.pro

dist:
	$(TAR) doxywizard.tar doxywizard.pro $(SOURCES) $(HEADERS) $(DIST)
	$(GZIP) doxywizard.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

obj/doxywizard.o: doxywizard.cpp \
		doxywizard.h \
		pagewidget.h \
		inputbool.h \
		inputstring.h \
		inputstrlist.h \
		inputint.h \
		config.h \
		version.h \
		pixmaps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/doxywizard.o doxywizard.cpp

obj/config.o: config.cpp \
		config.h \
		version.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/config.o config.cpp

obj/version.o: version.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/version.o version.cpp

obj/pagewidget.o: pagewidget.cpp \
		pagewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/pagewidget.o pagewidget.cpp

obj/inputstring.o: inputstring.cpp \
		inputstring.h \
		pagewidget.h \
		pixmaps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/inputstring.o inputstring.cpp

obj/inputbool.o: inputbool.cpp \
		inputbool.h \
		pagewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/inputbool.o inputbool.cpp

obj/inputstrlist.o: inputstrlist.cpp \
		inputstrlist.h \
		pagewidget.h \
		pixmaps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/inputstrlist.o inputstrlist.cpp

obj/inputint.o: inputint.cpp \
		inputint.h \
		pagewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/inputint.o inputint.cpp

obj/pixmaps.o: pixmaps.cpp \
		pixmaps.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/pixmaps.o pixmaps.cpp

obj/moc_doxywizard.o: moc/moc_doxywizard.cpp \
		doxywizard.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_doxywizard.o moc/moc_doxywizard.cpp

obj/moc_pagewidget.o: moc/moc_pagewidget.cpp \
		pagewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_pagewidget.o moc/moc_pagewidget.cpp

obj/moc_inputstring.o: moc/moc_inputstring.cpp \
		inputstring.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_inputstring.o moc/moc_inputstring.cpp

obj/moc_inputbool.o: moc/moc_inputbool.cpp \
		inputbool.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_inputbool.o moc/moc_inputbool.cpp

obj/moc_inputstrlist.o: moc/moc_inputstrlist.cpp \
		inputstrlist.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_inputstrlist.o moc/moc_inputstrlist.cpp

obj/moc_inputint.o: moc/moc_inputint.cpp \
		inputint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_inputint.o moc/moc_inputint.cpp

moc/moc_doxywizard.cpp: doxywizard.h
	$(MOC) doxywizard.h -o moc/moc_doxywizard.cpp

moc/moc_pagewidget.cpp: pagewidget.h
	$(MOC) pagewidget.h -o moc/moc_pagewidget.cpp

moc/moc_inputstring.cpp: inputstring.h
	$(MOC) inputstring.h -o moc/moc_inputstring.cpp

moc/moc_inputbool.cpp: inputbool.h
	$(MOC) inputbool.h -o moc/moc_inputbool.cpp

moc/moc_inputstrlist.cpp: inputstrlist.h
	$(MOC) inputstrlist.h -o moc/moc_inputstrlist.cpp

moc/moc_inputint.cpp: inputint.h
	$(MOC) inputint.h -o moc/moc_inputint.cpp


LEX     =   flex
YACC    =   bison


####################

config.cpp: config.l \
		config.h \
		version.h
	$(LEX) -PconfigYY -t config.l >config.cpp 
